<script lang="ts">
  import { onMount } from "svelte";
  import Swiper from "swiper/core";
  import "swiper/swiper-bundle.css";
  import SwiperCore, { Navigation, Pagination } from "swiper/core";
  import { getNewsAPI } from "src/apis/get-news";
  import { newsStore } from "src/store";

  onMount(async () => {
    await getNewsAPI();
    // configure Swiper to use modules
    SwiperCore.use([Navigation, Pagination]);

    new Swiper(".swiper-container", {
      // Optional parameters
      direction: "horizontal",
      autoplay: {
        delay: 4000,
        disableOnInteraction: false,
      },
      pagination: {
        el: ".swiper-pagination",
      },
      navigation: {
        nextEl: ".swiper-button-next",
        prevEl: ".swiper-button-prev",
      },
    });
  });
</script>

<div class="flex justify-center lg:pt-10 xl:pt-10">
  <div class="w-full lg:w-1/2 shadow-lg">
    <div class="swiper-container">
      <div class="swiper-wrapper">
        {#each $newsStore as imgf}
          <img alt="slider" class="swiper-slide" src={imgf.src} />
        {/each}
      </div>

      <div class="swiper-pagination swiper-pagination-white" />

      <div class="swiper-button-next swiper-button-white" />
      <div class="swiper-button-prev swiper-button-white" />
    </div>
  </div>
</div>

<style>
  .swiper-container {
    width: 100%;
    height: 100%;
  }

  .swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;

    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
  }
</style>
